Update a template from a project
Update a template from a project. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:write`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/templates/string" \ -H "Content-Type: application/json" \ -d '{ "projectId": "project-id", "name": "Launch template" }'{ "success": true, "data": { "id": "template_01J", "name": "Launch template", "description": "Reusable launch artwork", "compositionKind": "image", "category": "marketing", "duration": 1, "aspectRatio": "1:1", "thumbnail": "https://api.jsoncut.com/media/template_01J/thumbnail", "variables": [ { "id": "title", "label": "Title", "type": "string", "default": "Launch faster" } ], "sourceProjectId": "project_01J", "featured": false, "publishedVersion": 2, "version": 2, "source": { "format": "jsoncut-html", "version": 1, "id": "project_01J", "name": "Launch artwork", "compositionKind": "image", "canvasBackground": "transparent", "width": 1080, "height": 1080, "fps": 1, "duration": 1, "html": "<div id=\"title\" data-jc-clip data-jc-kind=\"text\" data-jc-name=\"Title\" data-jc-start=\"0\" data-jc-duration=\"1\" data-jc-track=\"0\" data-jc-bind-text=\"title\" style=\"left:120px;top:460px;width:840px;height:160px;color:#fff;font:800 72px/1.1 Inter,sans-serif;text-align:center\">Launch faster</div>", "css": "#jsoncut-canvas{background:linear-gradient(135deg,#111827,#FF9418)}", "variables": [ { "id": "title", "label": "Title", "type": "string", "default": "Launch faster" } ], "values": { "title": "Launch faster" }, "customBlocks": [] } }}Delete a template DELETE
Delete a template. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:write`.
Discover required fields, constraints, media types and example values for a template GET
Discover required fields, constraints, media types and example values for a template. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:read`.